Text::Xslate::Type::Raw(3pm)

NAME
Text::Xslate::Type::Raw - The raw string representation

DESCRIPTION
This class represents raw strings so that Xslate does not escape them.

Note that you cannot extend this class.

METHODS

  new
create a new instance

  as_string
this method is overload to string.

    print Text::Xslate::Type::Raw->new('raw_string')->as_string
    print Text::Xslate::Type::Raw->new('raw_string') # the same, because of overload